classification
Title: Integrate Buildroot patches (cross-compilation)
Type: enhancement Stage: patch review
Components: Build Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: doko, eric.araujo, pitrou, rpetrov, tarek, vstinner
Priority: normal Keywords: patch

Created on 2011-03-01 21:40 by vstinner, last changed 2015-10-02 21:11 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
buildroot-python-patches.tar.gz vstinner, 2011-03-01 21:58
buildroot.patch vstinner, 2011-03-01 22:06 review
Messages (12)
msg129811 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-03-01 21:40
"Buildroot: Making Embedded Linux easy" has patches for Python 2.7 to simplify the cross-compilation of Python:
http://git.buildroot.net/buildroot/tree/package/python

The maintainer, Thomas Petazzoni, told me that the 12 first patches are the most important. Other patches are to disable some features.
msg129815 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-03-01 21:58
buildroot-python-patches.tar.gz: today checkout of the git repository (package/python).
msg129816 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-03-01 22:06
buildboot.patch: the 12 patches combined into a single patch for Python 2.7.

Note: python-2.7-001-support-for-build.patch doesn't apply cleanly on 
release27-maint.
msg129817 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-01 22:06
Well, the patches should be first ported to 3.3 (and need checking that they don't break anything: test suite, etc.). Then, if you want them to be examined separately, it might be better to create a separate issue for each.
msg129823 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-03-01 22:19
I uploaded the patch to Rietveld for a review:
http://codereview.appspot.com/4253047

> Well, the patches should be first ported to 3.3

Ok, I will ask the author if he can do this job. I uploaded the patches for Python 2.7 for a review and to open the discussion.
msg129977 - (view) Author: Roumen Petrov (rpetrov) * Date: 2011-03-03 15:51
All is duplicate on already posted patches . It is not work to review limited functionality posted here.
msg129980 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-03-03 16:18
A quick search gives me:
- #1006238
- #1597850
- #3754
- #5404
- #3871

Are they the same patches from Buildroot?
msg140071 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-09 14:44
No, they’re not the same.

See also my listing of (most of the) cross-compile patches: http://mail.python.org/pipermail/python-dev/2011-March/110099.html
msg148318 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-25 15:08
The distutils changes will not happen, we’re under a feature freeze.  Cross-compilation support would need to be added to packaging, and we need to port Python’s build process to packaging too for 3.4 or 3.5.  Also, it’s very hard to decide to accept one solution from the dozen of different patch sets posted on the various issues.  I think this would need a concerted effort from all people who have worked on patches, with goals clearly defined in a public mailing list, then python-dev agreement (including MvL, who turns a very critical eye to such patches), then one patch satisfying the requirements.

I don’t like to reject the hard work of contributors who want to give back, but given the situation I describe above I’m inclined to close all of these bugs for now.
msg148320 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-11-25 15:15
> The distutils changes will not happen, we’re under a feature freeze.
> Cross-compilation support would need to be added to packaging, and we
> need to port Python’s build process to packaging too for 3.4 or 3.5.

Why 3.4 or 3.5?
msg148323 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-25 15:21
Because I don’t think anyone will have the time to try to port Python’s setup.py to packaging, fix the bugs it founds and add the features it needs in time for 3.3.  On my own todo lists, there is much work still needed to define the public API, add features we want, test it with real applications such as pip, fix major bugs, make the docs usable.
msg178881 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-01-03 01:36
@doko: You integrated patches related to cross-compilation. Can this issue be closed, or does the Buildroot project still contain useful patches?
History
Date User Action Args
2015-10-02 21:11:58vstinnersetstatus: open -> closed
resolution: out of date
2013-01-03 01:36:19vstinnersetnosy: + doko
messages: + msg178881
2011-11-25 15:21:26eric.araujosetmessages: + msg148323
2011-11-25 15:15:30pitrousetmessages: + msg148320
2011-11-25 15:08:12eric.araujosetmessages: + msg148318
2011-11-25 04:39:55ezio.melottisetstage: needs patch -> patch review
2011-07-09 14:44:20eric.araujosetmessages: + msg140071
2011-03-03 16:18:30vstinnersetnosy: pitrou, vstinner, tarek, eric.araujo, rpetrov
messages: + msg129980
2011-03-03 15:51:35rpetrovsetnosy: + rpetrov
messages: + msg129977
2011-03-01 22:19:37vstinnersetnosy: pitrou, vstinner, tarek, eric.araujo
messages: + msg129823
2011-03-01 22:06:34pitrousetnosy: + pitrou
messages: + msg129817
2011-03-01 22:06:25vstinnersetfiles: + buildroot.patch

messages: + msg129816
keywords: + patch
nosy: vstinner, tarek, eric.araujo
2011-03-01 21:58:41vstinnersetfiles: + buildroot-python-patches.tar.gz
nosy: vstinner, tarek, eric.araujo
messages: + msg129815
2011-03-01 21:41:53pitrousetnosy: + eric.araujo, tarek
stage: needs patch
type: enhancement

versions: - Python 2.7
2011-03-01 21:40:32vstinnercreate